Package io.vertx.ext.web.handler.sockjs

## Class SockJSBridgeOptions

- java.lang.Object
- - io.vertx.ext.bridge.BridgeOptions
  - - io.vertx.ext.web.handler.sockjs.SockJSBridgeOptions

-     public class SockJSBridgeOptions
      extends BridgeOptions

  Options for configuring the event bus bridge.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_MAX_ADDRESS_LENGTH` | Default value for max address length = 200
    `static int` | `DEFAULT_MAX_HANDLERS_PER_SOCKET` | Default value for max handlers per socket = 1000
    `static long` | `DEFAULT_PING_TIMEOUT` | Default value for ping timeout = 10000 ms
    `static long` | `DEFAULT_REPLY_TIMEOUT` | Default value for reply timeout = 30000

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SockJSBridgeOptions()` | Default constructor
    `SockJSBridgeOptions​(JsonObject json)` | Constructor from JSON
    `SockJSBridgeOptions​(SockJSBridgeOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SockJSBridgeOptions` | `addInboundPermitted​(PermittedOptions permitted)` | Adds an inbound permitted option to the current `BridgeOptions`.
    `SockJSBridgeOptions` | `addOutboundPermitted​(PermittedOptions permitted)` | Adds an outbound permitted option to the current `BridgeOptions`.
    `int` | `getMaxAddressLength()` |
    `int` | `getMaxHandlersPerSocket()` |
    `long` | `getPingTimeout()` |
    `long` | `getReplyTimeout()` |
    `SockJSBridgeOptions` | `setInboundPermitteds​(List<PermittedOptions> inboundPermitted)` | Sets the list of inbound permitted options.
    `SockJSBridgeOptions` | `setMaxAddressLength​(int maxAddressLength)` |
    `SockJSBridgeOptions` | `setMaxHandlersPerSocket​(int maxHandlersPerSocket)` |
    `SockJSBridgeOptions` | `setOutboundPermitteds​(List<PermittedOptions> outboundPermitted)` | Sets the list of outbound permitted options.
    `SockJSBridgeOptions` | `setPingTimeout​(long pingTimeout)` |
    `SockJSBridgeOptions` | `setReplyTimeout​(long replyTimeout)` |
    `JsonObject` | `toJson()` | Serializes the current `BridgeOptions` to JSON.

    - ### Methods inherited from class io.vertx.ext.bridge.BridgeOptions

      `getInboundPermitteds, getOutboundPermitteds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_ADDRESS_LENGTH

          public static final int DEFAULT_MAX_ADDRESS_LENGTH

      Default value for max address length = 200
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_HANDLERS_PER_SOCKET

          public static final int DEFAULT_MAX_HANDLERS_PER_SOCKET

      Default value for max handlers per socket = 1000
      See Also:
        Constant Field Values

    - #### DEFAULT_PING_TIMEOUT

          public static final long DEFAULT_PING_TIMEOUT

      Default value for ping timeout = 10000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_REPLY_TIMEOUT

          public static final long DEFAULT_REPLY_TIMEOUT

      Default value for reply timeout = 30000
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SockJSBridgeOptions

          public SockJSBridgeOptions​(SockJSBridgeOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### SockJSBridgeOptions

          public SockJSBridgeOptions()

      Default constructor

    - #### SockJSBridgeOptions

          public SockJSBridgeOptions​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getMaxAddressLength

          public int getMaxAddressLength()

    - #### setMaxAddressLength

          public SockJSBridgeOptions setMaxAddressLength​(int maxAddressLength)

    - #### getMaxHandlersPerSocket

          public int getMaxHandlersPerSocket()

    - #### setMaxHandlersPerSocket

          public SockJSBridgeOptions setMaxHandlersPerSocket​(int maxHandlersPerSocket)

    - #### getPingTimeout

          public long getPingTimeout()

    - #### setPingTimeout

          public SockJSBridgeOptions setPingTimeout​(long pingTimeout)

    - #### getReplyTimeout

          public long getReplyTimeout()

    - #### setReplyTimeout

          public SockJSBridgeOptions setReplyTimeout​(long replyTimeout)

    - #### addInboundPermitted

          public SockJSBridgeOptions addInboundPermitted​(PermittedOptions permitted)

      Description copied from class: `BridgeOptions`
      Adds an inbound permitted option to the current `BridgeOptions`.
      Overrides:
        `addInboundPermitted` in class `BridgeOptions`
      Parameters:
        `permitted` - the inbound permitted
      Returns:
        the current `BridgeOptions`.

    - #### setInboundPermitteds

          public SockJSBridgeOptions setInboundPermitteds​(List<PermittedOptions> inboundPermitted)

      Description copied from class: `BridgeOptions`
      Sets the list of inbound permitted options.
      Overrides:
        `setInboundPermitteds` in class `BridgeOptions`
      Parameters:
        `inboundPermitted` - the list to use, must not be {@link null}. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.

    - #### addOutboundPermitted

          public SockJSBridgeOptions addOutboundPermitted​(PermittedOptions permitted)

      Description copied from class: `BridgeOptions`
      Adds an outbound permitted option to the current `BridgeOptions`.
      Overrides:
        `addOutboundPermitted` in class `BridgeOptions`
      Parameters:
        `permitted` - the outbound permitted
      Returns:
        the current `BridgeOptions`.

    - #### setOutboundPermitteds

          public SockJSBridgeOptions setOutboundPermitteds​(List<PermittedOptions> outboundPermitted)

      Description copied from class: `BridgeOptions`
      Sets the list of outbound permitted options.
      Overrides:
        `setOutboundPermitteds` in class `BridgeOptions`
      Parameters:
        `outboundPermitted` - the list to use, must not be {@link null}. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.

    - #### toJson

          public JsonObject toJson()

      Description copied from class: `BridgeOptions`
      Serializes the current `BridgeOptions` to JSON. This method uses the generated converter.
      Overrides:
        `toJson` in class `BridgeOptions`
      Returns:
        the serialized object